﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Excel;

namespace PrintingTitles
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        string tempdir = Application.ExecutablePath.Substring(0, Application.ExecutablePath.LastIndexOf("\\") + 1);
        C1XLBook book = new C1XLBook();

        private void button1_Click(object sender, EventArgs e)
        {
            book.Load("..\\..\\TestRepeat.xls");

            XLSheet sheet = book.Sheets[0];
            sheet.Rows[6].PageBreak = true;
            sheet.SetRangeToRepeat(0, 0, -1, -1);

            string xlsFile = tempdir + @"RepeatTop.xls";
            book.Save(xlsFile);
            System.Diagnostics.Process.Start(xlsFile);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            book.Load("..\\..\\TestRepeat.xls");

            XLSheet sheet = book.Sheets[1];
            sheet.Columns[1].PageBreak = true;
            sheet.SetRangeToRepeat(-1, -1, 0, 0);

            string xlsFile = tempdir + @"RepeatLeft.xls";
            book.Save(xlsFile);

            System.Diagnostics.Process.Start(xlsFile);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            book.Load("..\\..\\TestRepeat.xls");

            XLSheet sheet = book.Sheets[2];
            sheet.Rows[6].PageBreak = true;
            sheet.Columns[1].PageBreak = true;
            sheet.SetRangeToRepeat(0, 0, 0, 0);

            string xlsFile = tempdir + @"RepeatTopAndLeft.xls";
            book.Save(xlsFile);
            System.Diagnostics.Process.Start(xlsFile);
        }
    }
}
